
QGIS Application - Bug report #17280

When switch between filtered modes, the edited cells stop updating themselves.

2017-10-14 08:54 PM - sand thorn

Status: Closed

Priority: High

Assignee: Luigi Pirelli

Category: Attribute table

Affected QGIS version:2.18.13 Regression?: Yes

Operating System: Windows 10 64-bit Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25178

Description

When switch from "Show all features" to "Show selected features" or

from "Show selected features" to "Show all features",

after that the edited cells stop updating themselves in Table Attribute window.

You have to reopen with prefered default and avoiding changing filter view.

Workaround:

Set default to what you want to use, either "Show all features" or "Show selected features".

Related issues:

Related to QGIS Application - Bug report # 17187: Attribute Table refresh issue Closed 2017-09-24

Related to QGIS Application - Bug report # 17262: Attribute table data entere... Closed 2017-10-09

Associated revisions

Revision 6d50b37c - 2017-10-19 06:43 PM - Paul Blottiere

Merge pull request #5403 from boundlessgeo/issue_17187_backportFrom3

[bugfix] Attribute table model not updated when a feature is changed. fixes #17280 #17187

History

#1 - 2017-10-15 10:37 AM - sand thorn

Additional info:

Not affected: 2.18.9 (late May release)

Start being affected from: 2.18.10 (late June release)

It seems to be affected both 32 and 64 bit.

#2 - 2017-10-16 12:37 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Status changed from Open to Feedback

- Priority changed from Normal to High

Can you please add detailed steps on how replicate? Thanks! If confirmed this is a regression.
#3 - 2017-10-16 06:48 PM - sand thorn

1. Open the attribute table.

2. Switch filter on bottom-left to "Selected features".

3. Start edit mode then try editing any cell and update some value.

4. Click outer of the cell or press enter.

5. The cell will gone blue and seem empty (but the value is actually there).

6. The "gone blue" behaviour persists to life of the attribute table window.

This also affects when switch from "Selected features" to "All features",

in case that you are defaulting attribute table to "Selected features".

When you don't touch the filter mode button, everything works as normal.

#4 - 2017-10-16 09:52 PM - Steve Lowman

Cross ref #17289 and #17187

They are all basically duplicates of one another.

I have attached video demos to #17289.

#17262 is also closely related.

#5 - 2017-10-17 09:18 AM - Jürgen Fischer

- Related to Bug report #17187: Attribute Table refresh issue added

#6 - 2017-10-17 12:03 PM - Giovanni Manghi

#17262 is also closely related.

seems a completely different thing, imho.

#7 - 2017-10-18 12:21 PM - Steve Lowman

#17262 is also closely related.

seems a completely different thing, imho.

Just both concern data entry in Table View, but sure, different issue, different fix.

#8 - 2017-10-18 12:30 PM - Giovanni Manghi

- Status changed from Feedback to Open

#9 - 2017-10-18 02:05 PM - Giovanni Manghi

- File Recording #1.mp4 added

- Status changed from Open to Feedback
I confirm the issue surfaced after 2.18.9 but in the test I made here there is no need to apply filters to have it show. See the attached cast. I think that

#17187 is exactly the same.

#10 - 2017-10-18 03:17 PM - Luigi Pirelli

checking if this is a regression introduce by me to fix another regression

commit:6c84b6ea45e02ba71506fdbc6f5a24800c56b1dc

the fix is a backporting of the same fix in master that is not affected by this regression... btw I'm checking

In my test I can see that only the first row is affected by this issue

#11 - 2017-10-18 03:32 PM - Luigi Pirelli

seems a side effect of my fix to avoid sorting during editing... now checking how to update data without sorting in the new atteribute table architecture.

#12 - 2017-10-19 12:28 PM - Luigi Pirelli

- Assignee set to Luigi Pirelli

- Pull Request or Patch supplied changed from No to Yes

- Easy fix? changed from No to Yes

https://github.com/qgis/QGIS/pull/5403

#13 - 2017-10-19 04:12 PM - sand thorn

Dope. Thank you.

#14 - 2017-10-19 06:43 PM - Paul Blottiere

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|6d50b37c628e858760a9bdea3fa3860826281134.

#15 - 2017-11-23 09:15 AM - Alessandro Pasotti

- Related to Bug report #17262: Attribute table data entered text is obscured by the 'x' button added

#16 - 2017-11-24 02:11 PM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

Recording #1.mp4 3.87 MB 2017-10-18 Giovanni Manghi
